porgrc(5)

NAME
porgrc - configuration file for porg

SYNOPSIS
/etc/porgrc

DESCRIPTION

porgrc is the system-wide configuration file for porg(8), the source code package organizer.

SYNTAX

The file consists of comments and key-value pairs. Comments are on separate lines that start with a # symbol. The key-value pairs are on the form:

key=value

where key contains no whitespace and no equal signs, and value will be all of the text after the equal sign until (but not including) the ending newline.

OPTIONS
The following options can be set. The equivalent command line options (if any), are listed in brackets:

LOGDIR [-L|--logdir]
    Base porg logs directory. Default is '/var/log/porg'. Environment variables like $HOME are expanded at runtime.

INCLUDE [-I|--include]
    Colon-separated list of paths to scan when logging the installation of a package. Default is '/'.
    Shell wildcards are allowed in the paths. See PATH MATCHING below for more details.

EXCLUDE [-E|--exclude]
    Colon-separated list of paths to skip when logging the installation of a package. Default is '/tmp:/dev:/proc:/sys'.
    Shell wildcards are allowed in the paths. See PATH MATCHING below for more details.

REMOVE_SKIP [-e|--skip]
    Colon-separated list of paths to skip when removing a package. Default is '' (all logged files are removed).
    Shell wildcards are allowed in the paths. See PATH MATCHING below for more details.

PATH MATCHING
Variables INCLUDE, EXCLUDE and REMOVE_SKIP accept a colon-separated list of paths, each of which may contain shell-like wildcards (*, ? and [..]). Files are matched against each of those paths, following the standard shell-like expansion, but with the following exception: If a path in the list does not contain any wildcard, and it is a directory, it matches any file within that directory.

FILES

/etc/porgrc - active configuration file
/usr/share/porg/porgrc - sample configuration file

AUTHOR
Written by David Ricart (http://porg.sourceforge.net)

SEE ALSO
porg(8), porgball(8)